package com.yidianling.dynamic.model;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 动态中的图片
 * Created by xiongyu on 2017/3/14.
 */

public class RecommendTrendImage implements Parcelable {
    private String image_url;

    public RecommendTrendImage() {
    }


    public RecommendTrendImage(String image_url) {
        this.image_url = image_url;
    }

    protected RecommendTrendImage(Parcel in) {
        image_url = in.readString();
    }

    public static final Creator<RecommendTrendImage> CREATOR = new Creator<RecommendTrendImage>() {
        @Override
        public RecommendTrendImage createFromParcel(Parcel in) {
            RecommendTrendImage recommendTrendImage=new RecommendTrendImage();
            recommendTrendImage.image_url=in.readString();
            return recommendTrendImage;
        }

        @Override
        public RecommendTrendImage[] newArray(int size) {
            return new RecommendTrendImage[size];
        }
    };

    public String getImage_url() {
        return image_url;
    }

    public void setImage_url(String image_url) {
        this.image_url = image_url;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(image_url);
    }
}
